/* Popup Announcement - same style as cookie popup */
.popup-announcement {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.29);
  z-index: 10000;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.popup-announcement__box {
  box-shadow: 0 2px 26px 0 rgba(0, 0, 0, 0.55);
  padding: 70px;
  max-width: 900px;
  width: 100%;
  margin: auto;
  background-color: #fff;
}

.popup-announcement__content {
  max-width: 80%;
  text-align: left;
  width: 100%;
  margin: 0 auto;
}

.popup-announcement__text h4 {
  width: 100%;
  font-size: 22px;
  font-weight: bold;
  text-align: center;
  line-height: 1.2em;
  letter-spacing: 0;
  margin-bottom: 15px;
  color: #000;
}

.popup-announcement__text p {
  color: #000;
  font-size: 15px;
  letter-spacing: 0;
  line-height: 1.6em;
}

.popup-announcement__text strong {
  font-weight: bold;
  background-image: linear-gradient(to bottom, transparent 65%, #7EBB00 70%);
  background-size: 100% 100%;
  background-repeat: no-repeat;
  display: inline;
}

.popup-announcement__buttons {
  margin-top: 40px;
  text-align: center;
}

.popup-announcement__btn {
  padding: 19px !important;
  min-width: 200px;
  border-radius: 40px !important;
  text-transform: uppercase;
  text-align: center;
  margin: 0 5px;
  font-size: 14px !important;
  line-height: 1em;
  display: inline-block;
  cursor: pointer;
  border: none;
  text-decoration: none;
}

.popup-announcement__btn--close {
  background-color: #3b3b3b !important;
  color: #fff !important;
}

.popup-announcement__btn--close:hover {
  background-color: #000 !important;
  color: #fff !important;
}

.popup-announcement__btn--primary {
  background-color: #fff !important;
  color: gray !important;
  border: 1px solid #4d4d4d !important;
}

.popup-announcement__btn--primary:hover {
  background-color: #3b3b3b !important;
  color: #fff !important;
}

@media screen and (max-width: 767px) {
  .popup-announcement__box {
    width: 85%;
    padding: 20px;
  }

  .popup-announcement__content {
    max-width: 100%;
  }

  .popup-announcement__btn {
    min-width: 150px;
    margin-bottom: 10px;
  }
}

@media (min-width: 768px) and (max-width: 1024px) {
  .popup-announcement__box {
    width: 90%;
  }
}
